@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@100..900&display=swap');

/* Local variables */
:root {
  --border-radius: 0.5rem;
  --font-size-base: 15px;
  --image-padding: 1.2rem;
  --clr-slate-300: hsl(212, 45%, 89%);
  --clr-slate-500: hsl(216, 15%, 48%);
  --clr-slate-900: hsl(218, 44%, 22%);
}

/* Begin reset section */
*,
*::before,
*::after {
  box-sizing: border-box;
}

img,
picture,
svg,
video {
  display: block;
  max-width: 100%;
}

* {
  font: inherit;
  font-family: 'Outfit', sans-serif;
  font-size: var(--font-size-base);
}

body {
  background-color: var(--clr-slate-300);
}

main {
  margin-bottom: 4rem;
}

.card {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  row-gap: 1rem;
  max-width: 30ch;
  /* max-width: min-content; */
  background-color: white;
  border-radius: calc(var(--border-radius) * 2);
  box-shadow: 0px 19px 24px 3px rgba(0, 0, 0, 0.1);
  margin-top: 15.25rem;
  margin-inline: auto;
  text-align: center;
  padding: 1rem;
  /* padding-top: 1rem; */
  padding-bottom: 2rem;
}

.card > * {
  margin-block: 0;
}

.card img {
  /* height: auto; */
  /* width: 288px;
  aspect-ratio: 1; */
  border-radius: var(--border-radius);
}

.card-header {
  font-weight: 700;
  font-size: 1.45rem;
  letter-spacing: 0;
  line-height: 120%;
  padding-block-start: 0.5rem;
}

.card-text {
  color: var(--clr-slate-500);
  letter-spacing: 0.2px;
  line-height: 140%;
  padding-block-start: 0.25rem;
}

/* .card-content {
  padding-inline: 0.5em;
} */

.attribution {
  font-size: 0.75rem;
  text-align: center;
}

.attribution a {
  color: hsl(228, 45%, 44%);
}
